Tokenize card
curl --request POST \
--url https://api.fincle.com.br/card-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"number": "4111111111111111",
"holderName": "HELENA M ANDRADE",
"expirationMonth": "08",
"expirationYear": "2029",
"cvv": "123"
}
'import requests
url = "https://api.fincle.com.br/card-token"
payload = {
"number": "4111111111111111",
"holderName": "HELENA M ANDRADE",
"expirationMonth": "08",
"expirationYear": "2029",
"cvv": "123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '4111111111111111',
holderName: 'HELENA M ANDRADE',
expirationMonth: '08',
expirationYear: '2029',
cvv: '123'
})
};
fetch('https://api.fincle.com.br/card-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/card-token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'number' => '4111111111111111',
'holderName' => 'HELENA M ANDRADE',
'expirationMonth' => '08',
'expirationYear' => '2029',
'cvv' => '123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/card-token"
payload := strings.NewReader("{\n \"number\": \"4111111111111111\",\n \"holderName\": \"HELENA M ANDRADE\",\n \"expirationMonth\": \"08\",\n \"expirationYear\": \"2029\",\n \"cvv\": \"123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fincle.com.br/card-token")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"number\": \"4111111111111111\",\n \"holderName\": \"HELENA M ANDRADE\",\n \"expirationMonth\": \"08\",\n \"expirationYear\": \"2029\",\n \"cvv\": \"123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/card-token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"number\": \"4111111111111111\",\n \"holderName\": \"HELENA M ANDRADE\",\n \"expirationMonth\": \"08\",\n \"expirationYear\": \"2029\",\n \"cvv\": \"123\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"token": "tok_9f2c1a7b4d6e"
}{
"success": false,
"message": "Documento inválido para o tipo selecionado"
}{
"success": false,
"message": "Não autorizado"
}Charges
Tokenize card
Converts card data into a token, to be sent in card.cardToken when creating the charge.
POST
/
card-token
Tokenize card
curl --request POST \
--url https://api.fincle.com.br/card-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"number": "4111111111111111",
"holderName": "HELENA M ANDRADE",
"expirationMonth": "08",
"expirationYear": "2029",
"cvv": "123"
}
'import requests
url = "https://api.fincle.com.br/card-token"
payload = {
"number": "4111111111111111",
"holderName": "HELENA M ANDRADE",
"expirationMonth": "08",
"expirationYear": "2029",
"cvv": "123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '4111111111111111',
holderName: 'HELENA M ANDRADE',
expirationMonth: '08',
expirationYear: '2029',
cvv: '123'
})
};
fetch('https://api.fincle.com.br/card-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/card-token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'number' => '4111111111111111',
'holderName' => 'HELENA M ANDRADE',
'expirationMonth' => '08',
'expirationYear' => '2029',
'cvv' => '123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/card-token"
payload := strings.NewReader("{\n \"number\": \"4111111111111111\",\n \"holderName\": \"HELENA M ANDRADE\",\n \"expirationMonth\": \"08\",\n \"expirationYear\": \"2029\",\n \"cvv\": \"123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fincle.com.br/card-token")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"number\": \"4111111111111111\",\n \"holderName\": \"HELENA M ANDRADE\",\n \"expirationMonth\": \"08\",\n \"expirationYear\": \"2029\",\n \"cvv\": \"123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/card-token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"number\": \"4111111111111111\",\n \"holderName\": \"HELENA M ANDRADE\",\n \"expirationMonth\": \"08\",\n \"expirationYear\": \"2029\",\n \"cvv\": \"123\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"token": "tok_9f2c1a7b4d6e"
}{
"success": false,
"message": "Documento inválido para o tipo selecionado"
}{
"success": false,
"message": "Não autorizado"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json